## e-text-model-repos e-text-model-repos |

## Functions

gint | e_repos_absolute ()
gint | e_repos_insert_shift ()
gint | e_repos_delete_shift ()

## Types and Values

| EReposAbsolute
| EReposInsertShift
| EReposDeleteShift

## Description

## Functions

### e_repos_absolute ()

    gint
    e_repos_absolute (gint pos,
                      gpointer data);

`e_repos_absolute` is deprecated and should not be used in newly-written code.

### e_repos_insert_shift ()

    gint
    e_repos_insert_shift (gint pos,
                          gpointer data);

`e_repos_insert_shift` is deprecated and should not be used in newly-written code.

### e_repos_delete_shift ()

    gint
    e_repos_delete_shift (gint pos,
                          gpointer data);

`e_repos_delete_shift` is deprecated and should not be used in newly-written code.

## Types and Values

### EReposAbsolute

    typedef struct {
    	ETextModel *model;
    	gint pos;  /* Position to move to.  Negative values count from the end buffer.
    		      (i.e. -1 puts cursor at the end, -2 one character from end, etc.) */
    } EReposAbsolute;

`EReposAbsolute` is deprecated and should not be used in newly-written code.

### EReposInsertShift

    typedef struct {
    	ETextModel *model;
    	gint pos;  /* Location of first inserted character. */
    	gint len;  /* Number of characters inserted. */
    } EReposInsertShift;

`EReposInsertShift` is deprecated and should not be used in newly-written code.

### EReposDeleteShift

    typedef struct {
    	ETextModel *model;
    	gint pos;  /* Location of first deleted character. */
    	gint len;  /* Number of characters deleted. */
    } EReposDeleteShift;

`EReposDeleteShift` is deprecated and should not be used in newly-written code.